Начал экспериментировать с ORM для Node.js/MySql - sequelize. После описания модели - при первой синхронизации появилась ошибка: Error: deprecated: use mysql.createClient() instead

sequelize ставил через npm. Поставилась версия 1.0.2. Погуглив - нашел решение здесь. В одном из комментов написано, что в гите более новая версия. Посмотрел в файле описания - версия та-же. Но посмотрев код - понял, что версии очень различаются.

Решение для данной версии:

// в файле lib/sequelize/query.js 11 строчку заменить на: 
var client = require('mysql').createClient({...
// закоментировать 24 строчку

 

blog comments powered by Disqus

Реклама и кнопки:

CMS Made Simple 1.9.2 CMS Made Simple - Сайт русской поддержки

Proud to useProud to use